Public Member Functions | Public Attributes | List of all members
libfreehand::FHRGBColor Struct Reference

`#include <FHTypes.h>`

## Public Member Functions
| FHRGBColor ()
bool | black () const

## Public Attributes
unsigned short | m_red
unsigned short | m_green
unsigned short | m_blue

## Constructor & Destructor Documentation

## ◆ FHRGBColor()

libfreehand::FHRGBColor::FHRGBColor | ( |  | ) |
| inline

## Member Function Documentation

## ◆ black()

bool libfreehand::FHRGBColor::black | ( |  | ) | const
| inline

Referenced by libfreehand::FHParser::readProcessColor(), and libfreehand::FHParser::readTintColor().

## Member Data Documentation

## ◆ m_blue

unsigned short libfreehand::FHRGBColor::m_blue

Referenced by libfreehand::FHCollector::_generateBitmapFromPattern(), libfreehand::FHParser::_readCMYKColor(), libfreehand::FHParser::_readRGBColor(), black(), libfreehand::FHCollector::getColorString(), and libfreehand::FHCollector::getRGBFromTint().

## ◆ m_green

unsigned short libfreehand::FHRGBColor::m_green

Referenced by libfreehand::FHCollector::_generateBitmapFromPattern(), libfreehand::FHParser::_readCMYKColor(), libfreehand::FHParser::_readRGBColor(), black(), libfreehand::FHCollector::getColorString(), and libfreehand::FHCollector::getRGBFromTint().

## ◆ m_red

unsigned short libfreehand::FHRGBColor::m_red

Referenced by libfreehand::FHCollector::_generateBitmapFromPattern(), libfreehand::FHParser::_readCMYKColor(), libfreehand::FHParser::_readRGBColor(), black(), libfreehand::FHCollector::getColorString(), and libfreehand::FHCollector::getRGBFromTint().

The documentation for this struct was generated from the following file:

- FHTypes.h